Skip to main content
GET
List the address exceptions for a screening vendor

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

providerType
enum<string>
required

Screening vendor the entries belong to Screening vendor a policy belongs to. Deliberately not ProviderEnum, which is a 44-value auth/social/onramp list of which only these two are screening vendors. The Dynamic sanctions provider is absent because the sanctions floor is generated from code and is not configurable.

Available options:
trmWalletScreening,
chainalysisAddressScreening

Query Parameters

offset
integer
default:0

The number of items to skip before starting to collect the result set

Required range: x >= 0
limit
integer
default:20

The number of items to return

Required range: 1 <= x <= 100

Response

The address entries for this environment and vendor

count
integer
required

Total number of live address entries for this (environment, vendor) pair, across every appliesToScope.

entries
object[]
required

List of address entry objects

Last modified on August 30, 2026